﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace BlogModel
{
    [DataContract(IsReference = true)]
    public class Blog
    {
        [DataMember]
        public int BlogID
        {
            get;
            set;
        }

        [DataMember]
        public string Name
        {
            get;
            set;
        }

        [DataMember]
        public string Owner
        {
            get;
            set;
        }

        [DataMember]
        public virtual List<Post> Posts
        {
            get { return _posts; }
            set { _posts = value; }
        }
        List<Post> _posts = new List<Post>();
    }
}
