﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace BlogModel
{
    [DataContract(IsReference = true)]
    public class Post
    {
        [DataMember]
        public int PostID
        {
            get;
            set;
        }

        [DataMember]
        public DateTime CreatedDate
        {
            get;
            set;
        }

        [DataMember]
        public DateTime ModifiedDate
        {
            get;
            set;
        }

        [DataMember]
        public string Title
        {
            get;
            set;
        }

        [DataMember]
        public string PostContent
        {
            get;
            set;
        }

        [DataMember]
        public Blog Blog
        {
            get;
            set;
        }

        [DataMember]
        public int BlogBlogID
        {
            get;
            set;
        }

        [DataMember]
        public List<Tag> Tags
        {
            get { return _tags; }
            set { _tags = value; }
        }

        private List<Tag> _tags = new List<Tag>();

    }
}
