﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using BlogModel;

namespace BlogService
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in both code and config file together.
    public class Service1 : IService1
    {
        public IEnumerable<Blog> GetBlogs()
        {
            using (BlogContext context = new BlogContext())
            {
                BlogRepository repository = new BlogRepository(context);
                return repository.Blogs.ToArray();
            }
        }

        public IEnumerable<Post> GetPosts(Blog blog)
        {
            using (BlogContext context = new BlogContext())
            {
                BlogRepository repository = new BlogRepository(context);
                return repository.GetPosts(blog).ToArray();
            }
        }

        public string UpdatePost(Post post)
        {
            using (BlogContext context = new BlogContext())
            {
                BlogRepository repository = new BlogRepository(context);
                return repository.UpdatePost(post);
            }
        }
    }
}
